const log = require('j7/log');
const utils = require('j7/utils');
const BaseEventProcess = require('../common/BaseEventProcess');

class Transfer extends BaseEventProcess {

  async start() {
    const returnValues = this.getReturnValues();
    await this.add721NftRefresh
    (
      this.getNetId(),
      this.getContractAddress(),
      this.getContractName(),
      returnValues['tokenId']
    );
    await this.markOk();
  }

}

module.exports = Transfer;
